"""
Common regexps

Attributes:
    REQUEST_ID_REGEXP: compiled regexp  for request id string
"""

import re

from vlutils.regexps import UUID_REGEXP_STR

VALID_DB_STRING_PATTERN = "^[^\\x00]*$"  # reject NUL character
REQUEST_ID_REGEXP = re.compile(rf"^[0-9]{{10}},{UUID_REGEXP_STR}\Z", re.I)
SPECIAL_SYMBOLS_REGEXP = re.compile(r"^[a-zA-Z0-9_\-,]+$", re.I)
TRACK_ID_REGEXP = re.compile(r"^[a-zA-Z0-9_\-]{1,36}$", re.I)
IMAGE_STORE_REGEXP = re.compile(r"^/\d+/buckets/[a-z0-9-_]{1,255}/images/" + UUID_REGEXP_STR + r"\Z", re.I)

##################### Url regexp #####################
